Bug 5825 - Add Item Type column to Holds Queue report
Summary: Add Item Type column to Holds Queue report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 8215
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 17:40 UTC by Mickey Coalwell
Modified: 2014-12-07 20:02 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 5825 - Add Item Type column to Holds Queue report (3.68 KB, patch)
2013-08-08 20:10 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 5825 - Add item type column to holds queue (3.71 KB, patch)
2013-08-09 23:23 UTC, Melia Meggs
Details | Diff | Splinter Review
Bug 5825 - Add Item Type column to Holds Queue report (3.78 KB, patch)
2013-08-16 14:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mickey Coalwell 2011-03-03 17:40:34 UTC
Displaying the Item Type will allow easier finding of the item to be picked; it will also immediately show when restricted item types are being selected in error.
Comment 1 Katrin Fischer 2013-04-13 20:30:31 UTC
We can show callnumber and collection, but itemtype is still missing.
Comment 2 Owen Leonard 2013-08-08 20:10:57 UTC Comment hidden (obsolete)
Comment 3 Melia Meggs 2013-08-09 23:23:52 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-08-16 14:54:13 UTC
Created attachment 20419 [details] [review]
Bug 5825 - Add Item Type column to Holds Queue report

The hold queue report shows collection code but not item type. This
patch adds it. Also added is use of the KohaAuthorisedValues template
plugin to display the collection code description instead of code.

To test, apply the patch and view the holds queue. There should be a new
item type column showing an item type description for each row. The
collection column should now show the collection description instead of
code.

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jonathan Druart 2013-08-16 14:54:53 UTC
Simple patch, add a new column.
Marked as Passed QA.
Comment 6 Galen Charlton 2013-08-16 15:39:40 UTC
Pushed to master, along with two follow-ups: one that adds a regression test, and another that makes it respect the item-level_itypes system preference.

Thanks, Owen!